Bug 64198 - Outbox message count isn't updated after right click delete
Outbox message count isn't updated after right click delete
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: evolution (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-28 17:53 EDT by tom georgoulias
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 15:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tom georgoulias 2002-04-28 17:53:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
When working in the Outbox folder:
Right clicking on a message that hasn't been sent yet and selecting delete from
the pull down menu will allow you to delete the message, but the count number
next to the word Outbox isn't updated.  The word Outbox remains in bold font and
has "(1)" next to it.  This can be repeated over and over and the message count
will increase, and still be there after the program is stopped and restarted. 
Only after "Send/Receive" will the count be reset.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start evolution
2. Create a new message and use the "send later" option.
3. Click on the Outbox folder and right click the message.
4. Choose "delete" from the pull down menu.
	

Actual Results:  The word Outbox remains in bold font and has "(1)" next to it.

Expected Results:  The message should be deleted and the Outbox message count
updated to reflect the current status.

Additional info:

[tomg@gemini tomg]$ rpm -q evolution
evolution-1.0.3-2

Let me know if you need more info.  I'll be glad to help.
Comment 1 Jeremy Katz 2002-04-29 15:13:59 EDT
This is probably related to http://bugzilla.ximian.com/show_bug.cgi?id=17174
Comment 2 Jeremy Katz 2002-05-03 17:01:22 EDT
Patch for this will be included in whatever my next evolution build is (>= 1.0.3-6)

Note You need to log in before you can comment on or make changes to this bug.